package tinj.jcdv.wpky

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.Kmqp.string
import android.content.Intent
import android.graphics.Color
import android.widget.TextView
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.R
import com.test.basd.smartjunkcleaner.databinding.KhbaunBinding

class Kqsd : Hqlm<KhbaunBinding>() {

    override val binding: KhbaunBinding by lazy {
        KhbaunBinding.inflate(layoutInflater)
    }

    private var mPhotoCount: Int = 0

    override val isLightMode = true

    private fun ޘލބބށޔޒޙ() {
        class ޠޤޔޠބފޗޜ<T>(val ޘދޣޛޞޟޤޡ: T, val ތނޓތޚޞތޟ: Int) {
            constructor(ޖޜތނޜޡތޏ: T) : this(ޖޜތނޜޡތޏ, 7205) {
                println("ޖށޞޅއޜލޅ")
            }
        }
        println(ޠޤޔޠބފޗޜ("ސޚހޘޚޤލޓ"))
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        mPhotoCount = intent.getIntExtra(R.string.ވޞދޤށ_D.string(), 0)
        binding.ypwzhta.setTrackedOnClickListener {
            finish()
        }

        fun <T> ޤޏޚދޓއނޓ(ތޑޣޟނމޡސ: T) {
            println(ތޑޣޟނމޡސ)
        }
        ޤޏޚދޓއނޓ(9925)
        ޤޏޚދޓއނޓ("ސމކފޞޕޕގ")
        val manager = Eqej(this)

        findViewById<TextView>(R.id.undpker).setTrackedOnClickListener {
            val dialog = Dpyo(this, R.layout.rkqyjd)
            class ތވއމޤޛޤޞ {
                val ސޚޚޝޥގޑސ by lazy {
                    println("ގޗޅށށއޢރ")
                    "ޡޕފޖޥޔޢޕ!"
                }
            }
            val ވޠޡޏޅޟޡޞ = ތވއމޤޛޤޞ()
            println(ވޠޡޏޅޟޡޞ.ސޚޚޝޥގޑސ)
            dialog.setButtonClickListener(R.id.jckfagk) {
                fun ޑޙޓޟޒގޚމ() {
                    fun ޓބހވޒޅޕޅ(ނޏރރވމސޠ: Int) {
                        println(ނޏރރވމސޠ)
                    }
                    ޓބހވޒޅޕޅ(7061)
                    ޓބހވޒޅޕޅ(669)
                    ޓބހވޒޅޕޅ(401)
                }
                ޑޙޓޟޒގޚމ()
                dialog.dismiss()
            }

            fun ޓޘބފޙސވނ() {
                fun ޔޥޒޙގޡޚއ(ރޖޙހކޡޡދ: Int) {
                    println(ރޖޙހކޡޡދ)
                }
                ޔޥޒޙގޡޚއ(3723)
                ޔޥޒޙގޡޚއ(3151)
                ޔޥޒޙގޡޚއ(4489)
            }
            ޓޘބފޙސވނ()
            dialog.setButtonClickListener(R.id.degmdmq) {
                Vukv.mActivity?.finish()
                val intent = Intent(this, Ppep::class.java)
                intent.putExtra(R.string.ޚޔޓޥނ_D.string(), manager.getMode())
                startActivity(intent)
                val ރޜޒޑޞފވވ = { ޠޕޅޑޥނހވ: String -> println(ޠޕޅޑޥނހވ) }
                ރޜޒޑޞފވވ("ޒލވޖޓށޖފ!")
                dialog.dismiss()
                finish()
            }
            dialog.show()
        }
    }

    override fun initView() {
        ޘލބބށޔޒޙ()
    }
}